Rename server
curl --request PATCH \
--url https://console.cloudblast.io/api/v2/servers/{server}/rename \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-web-server"
}
'import requests
url = "https://console.cloudblast.io/api/v2/servers/{server}/rename"
payload = { "name": "my-web-server" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my-web-server'})
};
fetch('https://console.cloudblast.io/api/v2/servers/{server}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 42,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"uuid_short": "a1b2c3d4",
"name": "Starter VPS",
"hostname": "web-01.example.com",
"status": null,
"cpu": 2,
"memory": 2147483648,
"disk": 42949672960,
"bandwidth_usage": 536870912,
"bandwidth_limit": 1073741824000,
"node_id": 1,
"created_at": "2026-01-10T14:00:00+00:00",
"ip_addresses": [
{
"address": "203.0.113.50",
"type": "ipv4",
"gateway": "203.0.113.1",
"cidr": 24,
"rdns": "server1.example.com"
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Server not found."
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The given data was invalid.",
"details": {
"name": [
"The name field is required."
]
}
}
}Servers
Rename Server
Updates the display name of a server.
PATCH
/
servers
/
{server}
/
rename
Rename server
Authorizations
API token from your CloudBlast account settings. Pass as Authorization: Bearer <token>.
Path Parameters
Server identifier — any of: numeric id, uuid_short (8 chars), or full uuid (36 chars).
Body
application/json
New server name
Maximum string length:
40Example:
"my-web-server"
Response
Updated server
Show child attributes
Show child attributes
⌘I